# Interface IStatusLineManager

All Superinterfaces:
  `IContributionManager`

All Known Implementing Classes:
  `StatusLineManager, SubStatusLineManager`

public interface IStatusLineManager extends IContributionManager
The `IStatusLineManager` interface provides protocol for displaying messages on a status line, for monitoring progress, and for managing contributions to the status line.

Note: An error message overrides the current message until the error message is cleared.

This package also provides a concrete status line manager implementation, `StatusLineManager`.

## Method Summary

Modifier and Type
Method
Description
`IProgressMonitor`
`getProgressMonitor()`
Creates a new progress monitor which reports progress in the status line.
`boolean`
`isCancelEnabled()`
Returns whether the cancel button on the status line's progress monitor is enabled.
`void`
`setCancelEnabled(boolean enabled)`
Sets whether the cancel button on the status line's progress monitor is enabled.
`void`
`setErrorMessage(String message)`
Sets the error message text to be displayed on the status line.
`void`
`setErrorMessage(Image image, String message)`
Sets the image and error message to be displayed on the status line.
`void`
`setMessage(String message)`
Sets the message text to be displayed on the status line.
`void`
`setMessage(Image image, String message)`
Sets the image and message to be displayed on the status line.

### Methods inherited from interface IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll, update`

## Method Details

### getProgressMonitor

IProgressMonitor getProgressMonitor()
Creates a new progress monitor which reports progress in the status line. Note that the returned progress monitor may only be accessed from the UI thread. Reusing the monitor requires to finally call progressMonitor.done() before using it again.

Returns:
  the progress monitor Note: There is a delay after a beginTask message before the monitor is shown. This may not be appropriate for all apps.
See Also:
  - `IProgressMonitor`

### isCancelEnabled

boolean isCancelEnabled()
Returns whether the cancel button on the status line's progress monitor is enabled.

Returns:
  `true` if the cancel button is enabled, or `false` if not

### setCancelEnabled

void setCancelEnabled(boolean enabled)
Sets whether the cancel button on the status line's progress monitor is enabled.

Parameters:
  `enabled` - `true` if the cancel button is enabled, or `false` if not

### setErrorMessage

void setErrorMessage(String message)
Sets the error message text to be displayed on the status line. The image on the status line is cleared.

An error message overrides the current message until the error message is cleared (set to `null`).

Parameters:
  `message` - the error message, or `null` to clear the current error message.

### setErrorMessage

void setErrorMessage(Image image, String message)
Sets the image and error message to be displayed on the status line.

An error message overrides the current message until the error message is cleared (set to `null`).

Parameters:
  `image` - the image to use, or `null` for no image
  `message` - the error message, or `null` to clear the current error message.

### setMessage

void setMessage(String message)
Sets the message text to be displayed on the status line. The image on the status line is cleared.

This method replaces the current message but does not affect the error message. That is, the error message, if set, will continue to be displayed until it is cleared (set to `null`).

Parameters:
  `message` - the message, or `null` for no message

### setMessage

void setMessage(Image image, String message)
Sets the image and message to be displayed on the status line.

This method replaces the current message but does not affect the error message. That is, the error message, if set, will continue to be displayed until it is cleared (set to `null`).

Parameters:
  `image` - the image to use, or `null` for no image
  `message` - the message, or `null` for no message